/*******************************************************************
  Implantation du T.A.D. Carre

   Analyse

   Un carre est connu par son cote
   Les formules necessaires sont:
      perimetre = 4*cote
      surface = cote^2
*******************************************************************/
#include <iostream>
using namespace std;

class Carre
{
	float cote ;
public:
	Carre() ;
	Carre(float) ;
	void lecture();
	void imprime() ;
	float perimetre() ;
	float surface() ;
} ;

/*****************************************************************

   Methodes pour le type Carre
			 
*****************************************************************/
/*---------------------------------------------------------------
   Contructeurs
---------------------------------------------------------------*/
Carre::Carre()
{
	cote = 0 ;
}
Carre::Carre(float valeur_cote)
{
	cote = valeur_cote ;
}
/*---------------------------------------------------------------
   Lecture
---------------------------------------------------------------*/
// De l'entree standard (clavier)

void Carre::lecture()
{
	cin >> cote ;
}
/*---------------------------------------------------------------
   Methode pour le calcul...
---------------------------------------------------------------*/

float Carre::perimetre()
{
	return 4 * cote ;
}

float Carre::surface()
{
	return cote * cote ;
}
/*---------------------------------------------------------------
   Ecriture
---------------------------------------------------------------*/
// Sur la sortie standard (ecran)

void Carre::imprime()
{
	cout << cote ;
}
