/**
    \file cercle.cpp

    \brief calcul d'aire et de circonference

    Ce programme calcule l'aire et la circonference d'un
    cercle et affiche le resultat.

    \author Gabriel Girard
    \date 19 janvier 2007 (dernière version)
    \date 1994 (création)
    \version 1.1 - 25 aout 2003, mise a jour, Benoit Fraikin
    \version 1.0 - 19 janvier 2007, mise a jour de la documentation, B.F.

    \b Entrées : 
       \li (clavier) rayon (float)

    \b Sorties :
        \li (ecran) aire (float)
        \li (ecran) circonference (float)

 */
#include <iostream>

using namespace std;

/**
    \brief calcul d'aire et de circonference
 */
int main()
{ // constantes et variables locales
    const float PI = 3.1415;
    float rayon,    // entree : rayon du cercle
          aire,     // sortie : aire du cercle
          circ;     // sortie : circonference

    // Obtenir le rayon
    cout << "Entrez le rayon : ";
    cin >> rayon;
    cout << endl;

    // Calculer aire
    aire = PI * rayon * rayon;

    // Calculer circonference
    circ = 2 * PI * rayon;

    // Imprimer le resultat
    cout << " L'aire d'un cercle est " << aire << endl;
    cout << " La circonference d'un cercle est : "
         << circ << endl;

    return 0;
}  // fin main()
