/*********************************************************************

  Ce programme calcule la consommation moyenne d'essence apres 
  un certain nombre d'essais routiers.
  
  Entree : nombre d'essais
           numero de vehicule
           distance a parcourir
           consommation moyenne
  Sortie : Concommation moyenne
  
*********************************************************************/

#include <iostream>

using namespace std;

int main()
{
        // definitions des constantes
        const MAX = 10;         // nombre maximum d'essais routiers

        // definition des variables
        float distance[MAX],    //distance de l'essai routier
              dis_totale=0;     // distance totale a parcourir pour  
                                // tous les essais
        int nb_essais;          //nombre d'essais effectues
        int num_auto ;          //identification du vehicule
                                //Une identification negative termine


        cout << "Donner le nombre d'essais routiers : " ;
        cin >> nb_essais;
        for (int cpt=1; cpt <= nb_essais ; cpt++)
           {
              cout << "\nEntrer la distance pour l'essai #" 
                   << cpt << " : ";
              cin >> distance[cpt-1];
              dis_totale = dis_totale + distance[cpt-1];
           }

        cout << "\nDonner le numero du prochain vehicule: " ;
        cin >> num_auto ;
        while (num_auto > 0 )
        {
                float litres_cons,   //total des litres consommes
                       cons ;        // et consommation du vehicule
                litres_cons = 0 ;
                for (cpt = 1 ; cpt <= nb_essais ; cpt++)
                {
                        cout << "\nconsommation " << cpt << " du vehicule "
                                << num_auto << " : " ;
                        cin >> cons ;
                        litres_cons = litres_cons+cons/100*distance[cpt-1] ;
                }
                cons = litres_cons/dis_totale * 100 ;
                cout << "\nLa consommation de ce vehicule est " 
                     << cons << endl << endl ;
                cout << "\nDonner le numero du prochain vehicule: ";
                cin >> num_auto ;
        }
}

