#include <iostream>

using namespace std;

  const int MAX_NB_TRAV=20;
  const int MAX_NB_TESTS=10;


  struct ponderation
  {
     int   intra;      // ponderation de l'intra
     float max_intra;
     int   final;      // ponderation du final
     float max_final;
     int   nb_trav;    
     int   trav;       // ponderation des travaux
     float max_trav;
     int   nb_tests;
     int   test;       // ponderation des tests
     float max_test;
  };

  struct note
  {
     float intra;               // note de l'intra
     float final;               // note du final
     float trav[MAX_NB_TRAV];   // notes des travaux
     float tests[MAX_NB_TESTS]; // notes des tests
  };


int main()
{ 

  int lire(ponderation, int&, note&);
  float total(note, ponderation);
   
  ponderation p_ift159;
  note        n_ift159;

  int matricule;
  float final;

  p_ift159.intra = 30;
  p_ift159.max_intra = 100;
  p_ift159.final = 50;
  p_ift159.max_final = 100;
  p_ift159.nb_trav = 1;
  p_ift159.trav=10;
  p_ift159.max_trav=50;
  p_ift159.nb_tests = 4;
  p_ift159.max_test=50;
  p_ift159.test = 10;
  
  n_ift159.intra = 70;
  n_ift159.final = 50;
  n_ift159.trav[0] = 10;
  n_ift159.tests[2] = 15;

  cout << "ponderation : " << p_ift159.intra << " :: " << p_ift159.final
                           << " :: " <<p_ift159.test << endl;
			   
  cout << "Resultats   : " << n_ift159.intra << " :: " << n_ift159.final
                           << " :: " << n_ift159.tests[2] << endl;		   


  lire(p_ift159, matricule , n_ift159);
  
  cout << matricule << " : " << p_ift159.intra << " :: " << p_ift159.final
                             << " :: " << p_ift159.test << endl;
			     
  final = total(n_ift159, p_ift159); 
  
  cout << "Resultat final = " << final << endl;

}

int lire(ponderation bareme, int& mat, note& cours)
{
   int code = 0;
   int i;
   cout << "Entrez le no de matricule : ";
   cin >> mat;

   if (mat != 0 ) 
   {
      cout << "Entrez la note de l'intra : ";
      cin >> cours.intra;
      cout << "Entrez la note du final : ";
      cin >> cours.final;
      for(i = 0; i < bareme.nb_trav; i++)
      {
	   cout << "Entrez la note du travail #" << i + 1 << " : ";
	   cin >> cours.trav[i];
      }
      for(i = 0; i < bareme.nb_tests; i++)
      {
	   cout << "Entrez la note du test #" << i + 1 << " : ";
	   cin >> cours.tests[i];
      }
   }			   
   else code = -1;

   return code;
}   

float total(note cours, ponderation bareme)
{
   float tot, 
         temp ;
 
   // on initialise avec la note ponderee de l'intra 
   tot = cours.intra * bareme.intra / (float) bareme.max_intra;

   // on ajoute la note ponderee du final
   tot = tot + cours.final * (float) bareme.final / (float)bareme.max_final;

   // on ajoute les notes ponderees des travaux
   temp = 0;
   for(int i = 0; i < bareme.nb_trav; i++)
       temp = temp + cours.trav[i];
   tot = tot + temp / bareme.nb_trav 
  		 * (float)bareme.trav / (float )bareme.max_trav;

   // on ajoute les notes ponderees des tests
   temp = 0;
   for(int i = 0; i < bareme.nb_tests; i++)
       temp = temp + cours.tests[i];
   tot = tot + (float)temp / (float) bareme.nb_tests 
  		 * (float) bareme.test /(float) bareme.max_test;
  		   
   return tot;
}


