#include <iostream>

using namespace std;

enum type_jour {lundi, mardi, mercredi, jeudi, 
                vendredi, samedi, dimanche,
                indefini};

int main () {

    type_jour creerJour (string);
    type_jour jourSuivant (type_jour);
    string jourToString(type_jour);

    string nomDuJour;
    type_jour aujourdhui;
    type_jour demain;

    do {
        cout << "Entrer le jour d'aujourdhui en toute lettres" << endl;
        cin >> nomDuJour ;
        aujourdhui = creerJour(nomDuJour);
    } while (aujourdhui == indefini) ;
    
    cout << "Le jour d'aujourd'hui est un " << jourToString(aujourdhui) << endl;
    demain = jourSuivant(aujourdhui);
    cout << "Demain sera un " << jourToString(demain) << endl;
    cout << "Apres-demain sera un " << jourToString(jourSuivant(demain)) << endl;

    return 0;

}

type_jour creerJour (string mot) {

    type_jour jour;

    if (mot == "lundi") {
        jour = lundi ;
    } else if (mot == "mardi") {
        jour = mardi ;
    } else if (mot == "mercredi") {
        jour = mercredi ;
    } else if (mot == "jeudi") {
        jour = jeudi ;
    } else if (mot == "vendredi") {
        jour = vendredi ;
    } else if (mot == "samedi") {
        jour = samedi ;
    } else if (mot == "dimanche") {
        jour = dimanche ;
    } else {
        cerr << "Le jour rentre n'est pas valide" << endl ;
        jour = indefini ;
    }

    return jour;

}

type_jour jourSuivant (type_jour aujourdhui) {

    type_jour demain;

    switch (aujourdhui) {

        case dimanche: demain = lundi;
                       break;
        case lundi:    demain = mardi;
                       break;
        case mardi:    demain = mercredi;
                       break;
        case mercredi: demain = jeudi;
                       break;
        case jeudi:    demain = vendredi;
                       break;
        case vendredi: demain = samedi;
                       break;
        case samedi:   demain = dimanche;
                       break;
        default: demain = indefini;
                 cerr << "aujourd'hui n'est pas defini" << endl;
    }

    return demain;

}

string jourToString (type_jour jour) {

    string nomJour;

    switch (jour) {

        case lundi:    nomJour = "lundi";
                       break;
        case mardi:    nomJour = "mardi";
                       break;
        case mercredi: nomJour = "mercredi";
                       break;
        case jeudi:    nomJour = "jeudi";
                       break;
        case vendredi: nomJour = "vendredi";
                       break;
        case samedi:   nomJour = "samedi";
                       break;
        case dimanche: nomJour = "dimanche";
                       break;
        default: nomJour = "indefini";
                 cerr << "jour n'est pas defini" << endl;
    }

    return nomJour;

}
